macOS 10.15 Catalina Installer Disk

£14.95

This macOS 10.15 Catalina installer disk installs Catalina on any capable Mac.

The installer has full international language support.

Check the description below to see if Catalina will run on your Mac. macOS Catalina does not run on every Mac that the previous system supported.

This USB disk will install macOS 10.15 Catalina and is recommended if your Mac is still running 10.13 High Sierra or 10.14 Mojave. Check if your Mac will run Catalina first.

If your supported Mac is running an earlier version of macOS, this disk can upgrade your system, keeping your data and compatible applications. It should be running at least macOS High Sierra. Or you can wipe your hard disk and install a fresh system from scratch if you prefer. You can choose to install on your Mac’s internal disk, or you can install a system on an external hard drive to have a portable or back-up system.

macOS Catalina runs on:

iMac: Late 2012 or newer
iMac Pro
Mac Pro: Late 2013 or newer
Mac Mini: Late 2012 or newer
MacBook: Early 2015 or newer
MacBook Air: Mid 2012 or newer
MacBook Pro: Mid 2012 or newer, Retina display not needed

To check your mac, go to the  Apple menu > About this Mac > Overview

64-Bit only

Catalina only runs 64-Bit apps. This means some older versions of Microsoft Office (for instance) will not work. This is not our fault 😉 If you are worried about what apps will work on your mac after install, we suggest checking your mac with the Go64 app first.